import request from '@/utils/request';

// 考勤管理-查询佐证材料列表
export function listConferenceMeetingMaterials(query) {
  return request({
    url: '/teacher/conferenceMeetingMaterials/getByFdyNameAndYearAndMonth',
    method: 'get',
    params: query,
	headers: {
		Authorization: "Bearer " + uni.getStorageSync("App-Token"),
	}
  })
}
// 考勤管理- 查询佐证材料详细
export function getConferenceMeetingMaterials(id) {
  return request({
    url: '/teacher/conferenceMeetingMaterials/' + id,
    method: 'get'
  })
}
// 考勤管理-新增证材料
export function addConferenceMeetingMaterials(data) {
	return request({
		url: '/teacher/conferenceMeetingMaterials/add',
		method: 'post',
		data: data
	})
}


// 考勤管理-修改佐证材料
export function updateConferenceMeetingMaterials(data) {
  return request({
    url: '/teacher/conferenceMeetingMaterials/update',
    method: 'post',
    data: data
  })
}

// 考勤管理-删除佐证材料
export function delConferenceMeetingMaterials(id) {
  return request({
    url: '/teacher/conferenceMeetingMaterials/'+id,
    method: 'post',
  })
}
